Name:           xfglenses
Version:        1.0
Release:        1%{?dist}
Summary:        Gravitational lenses visualization program

Group:          Applications/Engineering
License:        GPLv2
URL:            http://www.tat.physik.uni-tuebingen.de/~frutto/
Source0:        http://www.tat.physik.uni-tuebingen.de/~frutto/%{name}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  freeglut-devel xforms-devel mesa-libGLU-devel libXpm-devel imlib-devel cmake


%description
Xfglenses is a program to visualize gravitational lenses.
It is possible to change the source position or the object's parameters
in order to simulate an infinite number of situations.

%prep
%setup -q -n %{name}

%build
cd src/
%cmake ..
%{__make} %{?_smp_mflags} VERBOSE=1


%install
cd src/
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}

%changelog
* Wed Mar 3 2009 Thibault North <tnorth [AT] fedoraproject DOT org> - 1.0
- Initial package

